oasis.names.tc.dss._1_0.core.schema

## Class DetailType

- java.lang.Object
- - oasis.names.tc.dss._1_0.core.schema.DetailType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-04-29T11:30:35+02:00",
                 comments="JAXB RI v2.3.7")
      public class DetailType
      extends Object
      implements Serializable

  Java class for DetailType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="DetailType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Code" type="{http://www.w3.org/2001/XMLSchema}anyURI" minOccurs="0"/>
               <element name="Message" type="{urn:oasis:names:tc:dss:1.0:core:schema}InternationalStringType" minOccurs="0"/>
               <any processContents='lax' namespace='##other' maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="Type" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DetailType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Element>` | `getAnies()` Gets the value of the anies property.
    `String` | `getCode()` Gets the value of the code property.
    `InternationalStringType` | `getMessage()` Gets the value of the message property.
    `String` | `getType()` Gets the value of the type property.
    `void` | `setCode(String value)` Sets the value of the code property.
    `void` | `setMessage(InternationalStringType value)` Sets the value of the message property.
    `void` | `setType(String value)` Sets the value of the type property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DetailType

          public DetailType()

  - ### Method Detail

    - #### getCode

          public String getCode()

      Gets the value of the code property.
      Returns:
        possible object is `String`

    - #### setCode

          public void setCode(String value)

      Sets the value of the code property.
      Parameters:
        `value` - allowed object is `String`

    - #### getMessage

          public InternationalStringType getMessage()

      Gets the value of the message property.
      Returns:
        possible object is `InternationalStringType`

    - #### setMessage

          public void setMessage(InternationalStringType value)

      Sets the value of the message property.
      Parameters:
        `value` - allowed object is `InternationalStringType`

    - #### getAnies

          public List<Element> getAnies()

      Gets the value of the anies property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the anies property.

      For example, to add a new item, do as follows:

              getAnies().add(newItem);

      Objects of the following type(s) are allowed in the list `Element`

    - #### getType

          public String getType()

      Gets the value of the type property.
      Returns:
        possible object is `String`

    - #### setType

          public void setType(String value)

      Sets the value of the type property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging OTMOBILITYIMPROVEMENT 4.9.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.